aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCatherine Hoang <catherine.hoang@oracle.com>2022-03-17 23:24:08 +0000
committerEryu Guan <guaneryu@gmail.com>2022-04-10 23:27:21 +0800
commit7834a74058c2543aa3d85465a5e52c9af7b2ab91 (patch)
treed7e4341414ef09a74acbd88d6a72f68126026255
parent866948e00073fd7781f287e894918859ddb5f35e (diff)
downloadxfstests-dev-7834a74058c2543aa3d85465a5e52c9af7b2ab91.tar.gz
xfs/019: extend protofile test
This test creates an xfs filesystem and verifies that the filesystem matches what is specified by the protofile. This patch extends the current test to check that a protofile can specify setgid mode on directories. Also, check that the created symlink isn’t broken. Signed-off-by: Catherine Hoang <catherine.hoang@oracle.com> Reviewed-by: Darrick J. Wong <djwong@kernel.org> Reviewed-by: Allison Henderson <allison.henderson@oracle.org> Signed-off-by: Eryu Guan <guaneryu@gmail.com>
-rwxr-xr-xtests/xfs/0196
-rw-r--r--tests/xfs/019.out12
2 files changed, 17 insertions, 1 deletions
diff --git a/tests/xfs/019 b/tests/xfs/019
index 3dfd5408a5..535b7af1a7 100755
--- a/tests/xfs/019
+++ b/tests/xfs/019
@@ -73,6 +73,10 @@ $
setuid -u-666 0 0 $tempfile
setgid --g666 0 0 $tempfile
setugid -ug666 0 0 $tempfile
+directory_setgid d-g755 3 2
+file_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx_5 ---755 3 1 $tempfile
+$
+: back in the root
block_device b--012 3 1 161 162
char_device c--345 3 1 177 178
pipe p--670 0 0
@@ -114,6 +118,8 @@ _verify_fs()
| xargs $here/src/lstat64 | _filter_stat)
diff -q $SCRATCH_MNT/bigfile $tempfile.2 \
|| _fail "bigfile corrupted"
+ diff -q $SCRATCH_MNT/symlink $tempfile.2 \
+ || _fail "symlink broken"
echo "*** unmount FS"
_full "umount"
diff --git a/tests/xfs/019.out b/tests/xfs/019.out
index 19614d9d41..8584f593e9 100644
--- a/tests/xfs/019.out
+++ b/tests/xfs/019.out
@@ -7,7 +7,7 @@ Wrote 2048.00Kb (value 0x2c)
File: "."
Size: <DSIZE> Filetype: Directory
Mode: (0777/drwxrwxrwx) Uid: (3) Gid: (1)
-Device: <DEVICE> Inode: <INODE> Links: 3
+Device: <DEVICE> Inode: <INODE> Links: 4
File: "./bigfile"
Size: 2097152 Filetype: Regular File
@@ -54,6 +54,16 @@ Device: <DEVICE> Inode: <INODE> Links: 1
Mode: (0755/-rwxr-xr-x) Uid: (3) Gid: (1)
Device: <DEVICE> Inode: <INODE> Links: 1
+ File: "./directory_setgid"
+ Size: <DSIZE> Filetype: Directory
+ Mode: (2755/drwxr-sr-x) Uid: (3) Gid: (2)
+Device: <DEVICE> Inode: <INODE> Links: 2
+
+ File: "./directory_setgid/file_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx_5"
+ Size: 5 Filetype: Regular File
+ Mode: (0755/-rwxr-xr-x) Uid: (3) Gid: (2)
+Device: <DEVICE> Inode: <INODE> Links: 1
+
File: "./pipe"
Size: 0 Filetype: Fifo File
Mode: (0670/frw-rwx---) Uid: (0) Gid: (0)